Skip to content

Returns a setting from the system by its ID.

Request

This method will look up a setting by the specified ID and return it back.

Security
knox-authorizer
Path
tenantIdstringrequired

The id of the tenant being accessed.

Query
fieldsstring

The fields that you want to retrieve; if omitted, the entire object is returned.

consistentReadstring

Indicates the API should force a consistent read on the data source.

curl -i -X GET \
  'https://docs.api.rhythmsoftware.com/_mock/apis/collect/collect-v1/settings/{tenantId}?fields=string&consistentRead=string' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The setting was retrieved successfully.

Headers
Access-Control-Allow-Headersstring
Access-Control-Allow-Methodsstring
Access-Control-Allow-Originstring
Bodyapplication/json
allow_echecks_when_paying_open_invoicesboolean(Allow Echecks When Paying Open Invoices)

If true, eChecks are allowed to pay open invoices

contact_role_permissionsArray of objects

The contact roles that are allowed to manage this scholarship

default_customer_statement_template_idstring(Default Customer Statement Template)

The default customer statement ID to use

default_merchant_account_idstring(Default Merchant Account)

The default merchant account to use when none is specified

disable_saving_credit_cards_when_paying_open_invoicesboolean(Disable Saving Credit Cards When Paying Open Invoices)
enable_publicly_payable_invoicesboolean(Enable Publicly Payable Invoices)

If set, customers are able to share invoices and pay for them without logging in

gl_information_guidancestring(Gl Information Guidance)

HTML/text to display to administrators to help them choose the appropriate G/L information

modify_gl_information_during_product_editingstring(Modify Gl Information During Product Editing)

Whether or not users should be able to see/modify G/L information while editing products

Enum:"disabled""optional""required"
notesstring(Notes)
payment_processorstring(Payment Processor)

Payment processor

Enum:"legacy""payrix""stripe"
prompt_for_auto_renewal_when_paying_membership_invoicesstring(Prompt For Auto Renewal When Paying Membership Invoices)

If set, users who pay for membership packages in the portal are given the option to auto renew IF and only if they do not have it set already

Enum:"disabled""opt in""opt out"
publicly_payable_invoice_optionsobject(Publicly Payable Invoice Options)required
stripe_optionsobject(Stripe Options)required
sys_bulk_load_atstring(Sys Bulk Load At)

If this record was loaded via bulk, the timestamp when the record was processed

sys_bulk_load_idstring(Sys Bulk Load)

If this record was loaded via bulk, the ID of the bulk load process

sys_bulk_load_pkstring(Sys Bulk Load Pk)

If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key

sys_bulk_load_record_nonumber, (float)(Sys Bulk Load Record No)

If this record was loaded via bulk, the record number in the source file

sys_bulk_load_source_filestring(Sys Bulk Load Source File)

If this record was loaded via bulk, the source file

sys_calculated_field_errorstring(Sys Calculated Field Error)

The error associated with the calculated field

sys_calculated_field_errorsArray of objects
sys_configuration_snapshot_idstring(Sys Configuration Snapshot)

If a snapshot was restored/applies to this record, the ID of the snapshot

sys_created_atstring, (date-time)(Sys Created At)required

The date/time that this record was created, expressed in ISO-8601 date format

sys_created_by_idstring(Sys Created By)required

The ID of the user that created this record

sys_deleted_by_idstring(Sys Deleted By)

The ID of the user that deleted (or last tried to delete) this object

sys_directivestring(Sys Directive)

Means for passing directive information into an object processing logic

sys_external_idstring(Sys External)

The ID that a record has from an external system or data import

sys_has_files_in_s3boolean(Sys Has Files In S3)

If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion

sys_last_bulk_data_operation_idstring(Sys Last Bulk Data Operation)

If this record was last touched by a bulk data operation, the ID of that operation

sys_last_bulk_data_operation_sys_versionstring(Sys Last Bulk Data Operation Sys Version)

If this record was last touched by a bulk data operation, the sys_version at the time of that operation

sys_last_modified_atstring, (date-time)(Sys Last Modified At)required

The date/time that this record record was last modified, expressed in ISO-8601 date format

sys_last_modified_by_idstring(Sys Last Modified By)required

The ID of the user that last modified this record

sys_last_security_contextobject(Sys Last Security Context)

The security context of the last insert, modify, or delete performed on this item

sys_lockedboolean(Sys Locked)

If set, this record is locked and cannot be changed via the API

sys_snapshot_base_versionnumber, (float)(Sys Snapshot Base Version)

The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox

sys_versionnumber, (float)(Sys Version)

A number representing the version of this record in the database

Response
{ "allow_echecks_when_paying_open_invoices": true, "contact_role_permissions": [ { … } ], "default_customer_statement_template_id": "string", "default_merchant_account_id": "string", "disable_saving_credit_cards_when_paying_open_invoices": true, "enable_publicly_payable_invoices": true, "gl_information_guidance": "string", "modify_gl_information_during_product_editing": "disabled", "notes": "string", "payment_processor": "legacy", "prompt_for_auto_renewal_when_paying_membership_invoices": "disabled", "publicly_payable_invoice_options": { "allowed_payment_methods": "both", "site_id": "string" }, "stripe_options": { "enable_cash_app": true, "enable_link": true, "enable_paypal": true, "mode": "multiple accounts", "primary_stripe_account_id": "string" }, "sys_bulk_load_at": "string", "sys_bulk_load_id": "string", "sys_bulk_load_pk": "string", "sys_bulk_load_record_no": 0.1, "sys_bulk_load_source_file": "string", "sys_calculated_field_error": "string", "sys_calculated_field_errors": [ { … } ], "sys_configuration_snapshot_id": "string", "sys_created_at": "2019-08-24T14:15:22Z", "sys_created_by_id": "string", "sys_deleted_by_id": "string", "sys_directive": "string", "sys_external_id": "string", "sys_has_files_in_s3": true, "sys_last_bulk_data_operation_id": "string", "sys_last_bulk_data_operation_sys_version": "string", "sys_last_modified_at": "2019-08-24T14:15:22Z", "sys_last_modified_by_id": "string", "sys_last_security_context": {}, "sys_locked": true, "sys_snapshot_base_version": 0.1, "sys_version": 0.1 }